Package org.eclipse.m2m.atl.emftvm

# Interface FieldInstruction

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Add`, `Get`, `GetStatic`, `GetSuper`, `GetTrans`, `Insert`, `Remove`, `Set`, `SetStatic`

All Known Implementing Classes:
  `AddImpl`, `FieldInstructionImpl`, `GetImpl`, `GetStaticImpl`, `GetSuperImpl`, `GetTransImpl`, `InsertImpl`, `RemoveImpl`, `SetImpl`, `SetStaticImpl`

public interface FieldInstruction extends Instruction
A representation of the model object 'Field Instruction'.

See Also:
  - `EmftvmPackage.getFieldInstruction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFieldname()`
Returns the value of the 'Fieldname' attribute.
`void`
`setFieldname(String value)`
Sets the value of the '`Fieldname`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getFieldname

String getFieldname()
Returns the value of the 'Fieldname' attribute.

If the meaning of the 'Fieldname' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Fieldname' attribute.
See Also:
  - `setFieldname(String)`
  - `EmftvmPackage.getFieldInstruction_Fieldname()`

### setFieldname

void setFieldname(String value)
Sets the value of the '`Fieldname`' attribute.

Parameters:
  `value` - the new value of the 'Fieldname' attribute.
See Also:
  - `getFieldname()`